%kmdl cdfs
%bcond_with kernel-2.6.25

Name: cdfs
Version: 2.6.23
Release: 6%{?dist}
Summary: A file system that 'exports' all tracks and boot images on a CD as normal files
License: GPLv2
Group: System Environment/Kernel
Source: http://www.elis.ugent.be/~ronsse/cdfs/download/%{name}-%{version}.tar.bz2
Patch0: kernel-2.6.22.diff
Patch1: kernel-2.6.25-2-486.patch
URL: http://www.elis.ugent.be/~ronsse/cdfs/cdfs.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%kmdl_parentdependencies

%description
CDfs is a file system for Linux systems that 'exports' all tracks
and boot images on a CD as normal files. These files can then be
mounted (e.g. for ISO and boot images), copied, played
(audio and VideoCD tracks)... The primary goal for developing this
file system was to 'unlock' information in old ISO images.

%package -n %kmdl_name
%kmdl_dependencies
Summary: A file system that 'exports' all tracks and boot images on a CD as normal files. 
Group: System Environment/Kernel

%description -n %kmdl_name
CDfs is a file system for Linux systems that 'exports' all tracks
and boot images on a CD as normal files. These files can then be
mounted (e.g. for ISO and boot images), copied, played 
(audio and VideoCD tracks)... The primary goal for developing this
file system was to 'unlock' information in old ISO images.
%kmdl_desc

%prep
%setup -q
%if %{with kernel-2.6.25}
%patch1 -p1 -b .kernel-2.6.25
%else
%patch0 -p0 -b .kernel-2.6.22
%endif

%build
rm -rf %{buildroot}

%if %{kmdl_userland}

%else

%kmdl_config
make KDIR=%{kmdl_kernelsrcdir}

%endif

%install
%if %{kmdl_userland}

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/fs/cdfs
install -c -m 0644 cdfs.ko %{buildroot}%{kmdl_moduledir}/fs/cdfs

%endif

%clean
rm -rf %{buildroot}

%if %{kmdl_userland}

%else

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%endif

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif

%changelog
* Sat May 24 2008 Paulo Roma <roma@lcg.ufrj.br> 2.6.23-6
- Applying patches according to the kernel version.

* Wed May 21 2008 Paulo Roma <roma@lcg.ufrj.br> 2.6.23-5
- Patched for kernel 2.6.25

* Wed Oct 24 2007 Paulo Roma <roma@lcg.ufrj.br> 2.6.23-4
- Updated to 2.6.23

* Wed Jul 25 2007 Paulo Roma <roma@lcg.ufrj.br> 2.6.19-3
- Updated to 2.6.19
- Patched for kernel 2.6.22

* Sat Nov 05 2006 Paulo Roma <roma@lcg.ufrj.br> 2.6.18-2
- Updated to 2.6.18

* Sat Jan 07 2006 Paulo Roma <roma@lcg.ufrj.br> 2.6.12-1
- Initial version.

